<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwTrending: Plot Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwTrendingPlotConfPanel.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to create or modify Trending
        Plots. A Trending Plot is a trending  display that can show up to
        8 curves.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When creating a new plot, you should first enter a Plot
          Name and Plot Title in the corresponding fields. The Plot Name will
          be used as the data point name of the plot configuration. This is the
          name used to refer to the plot configuration in CTRL scripts. The Plot
          Title is intended to be a more descriptive text which explains the
          data shown or the purpose of the plot. The Plot Title can be useful
          to help identify which plot is which when browsing through lists of
          plots.</p>
        <p>Then you specify the general characteristics of the plot, such as
          the X axis time range, the foreground and background colours. There
          are also settings to choose if you want to show the default PVSS legend
          (not selected by default), have a grid to help read the trend of if
          you want a logrithmic Y scale.</p>
        <p>Next there are 8 rows of settings which represent each of the 8 curves
          on the plot. You can fill in whichever and however many rows you wish.
          To set a curve, you first choose a row and then enter the data point
          element to be plotted on <strong>DP Element</strong>. You can type this manually in the first column
          or choose it from the data point selector by pressing the &quot;...&quot; button. You can also drag-and-drop an item from another panel (e.g. Para) to this text field: if the dropped item contains a dpe name, this will be added to the trending.<br/>You can also add a <strong>constant line</strong>: for example, on the DP Element Name field, add the value <code>#3.5</code> and a horizontal line with that value will appear. <br/>
          Once you have chosen a data point element, the &quot;Text&quot; column under <strong>Legend</strong> 
          will automatically be filled in with a text. You can change this text
          as you wish. You can change the format of the value appearing on the legend by pressing the &quot;...&quot; button. 
		  Note that the format is updated only when the value of the curve changes.</p>
        <p>After this you can set some parameters of the <strong>Curve</strong> such as colour,
          line style and curve visibility. To choose a curve colour you should
          press the coloured square and a colour picker will appear. You can
          pick a line type from any of the options in the combo box. These are
          Points, Steps or Linear. An additional option called Individual is
          available in the 9th row (see below). To toggle the visibility of the
          curve, you can press the button with the eye on it.
          When the eye is crossed out that curve is invisible, and when not crossed out the curve will be
          visible. You can plot the alarm limits of the curve by checking the box &quot;Limits&quot;. In this way, if the dpe has 
		  analog alarm defined, the value of each limit appears on the trend as a dashed line. Note that it works only 
		  with analog alarms and it shows only the limits currently set (no historical limits).</p>
        <p>Next, you can control the <strong>Y Axis</strong> for each curve. You can set the visibility
          (again pressing a button to toggle the visibility) and can choose automatic
          scaling (by checking the &quot;Auto&quot; checkbox) or manually selected
          min and max curve limits. The scale can be placed on the left (&quot;L&quot;) or on the right side (&quot;R&quot;) of the trend.
		  You can do this by clicking on the radio box &quot;L&quot; or &quot;R&quot;. The scale can be linked to the scale of another curve.
		  Example: you link curve 1 to curve 2. If you scroll the scale of curve 1, 
		  the scale of curve 2 will scroll following the scale of curve 1. In order to link a scale,
		  select on the &quot;Link&quot; list the index of the curve to be linked to. The scale values can be formatted by clicking on
		  the &quot;...&quot; button under &quot;Format&quot;.</p>
        <p>Finally, the column <strong>Archive</strong> shows if an archiving config exists
          for the selected data point. If you have sufficient user permissions,
          you can also click the &quot;...&quot; button to view and adjust the archiving
          configuration.</p>
        <p>To speed up the configuration of many curves, on <strong>Global Settings for this plot</strong> there is a 9th row which
          can be used to set some settings for all 8 curves at the same time.
          These include the curve line type, curve visibility, scale visibility
          and the Y scale range (manual and automatic). By changing these settings
          in the 9th row, the other 8 rows will be immediately updated. <a name="IndividualLineType"></a>Selecting
          the line type of the curve in the 9th row allows you to set all 8 curves
          to one of the supported types (Points, Steps, Linear) or alternatively
          you can select the Individual option. This lets you choose a different
          line type for each of the 8 curves individually.</p>
        <p>In this row, you can also choose the plot &quot;marker type&quot;. By default this will be a filled circle - this setting draws a small dot for each point of data that is drawn in the plot. One option is to show no marker at all in which case you only see the curve with no special marking for each point of data.</p>
        <p><strong>Note:</strong> There are some considerations when choosing the marker type:</p>
        <ol>
          <li>If you selected the curve type &quot;Points&quot; then you should not select marker type &quot;None&quot;. This would result in seeing neither the curve, nor the points. You would see nothing.</li>
          <li>If you think you will have many thousands of points visible on the plot, then it is recommended to use marker type &quot;None&quot;. This makes the display clearer and also avoids a problem associated with high CPU load when showing many plot markers on the plot at the same time. </li>
        </ol>
        <p>On the same row, you can the plot &quot;Line&quot; stile, as, for example, the thickness.</p>
        <p>You do not need to fill every curve in the plot. Once
          you have filled all the required positions on the plot, you should
          save
          the
          plot by
          clicking
          OK or Apply.
          Clicking
          Cancel
          will
          close the
          panel without saving the plot. The Save as... button can be used to
          save the  displayed plot configuration to another data point.</p>
        <p>If you are modifying an existing plot, you will have all the options
        as above except that the Plot Name will not be modifyable.</p>
        <p>If you wish, you can use a template parameter in the Plot Title, DP
          Element and Legend Text. A template parameter is defined by placing
          the variable name between curly brackets,
        { }. So the Plot Title could be  HVChannels{myVariable}. Where {myVariable}
        is substituted by another
      value at a later time.</p>
	  
	    <p>If you export to a CSV file your plots. In case that you wish that by default,
		DFS/AFS user folder will be suggested, enable <b>User's folder</b> checkbox.</p>
	  </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">The Plot Name is used as the data point name of the Plot.
        As this is the case, it must not include any characters not allowed in
        PVSS data point names.<br>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="652" height="552" border="0" align="center">
  <tbody>
    <tr>
      <td height="546">
        <div align="center"><img
 src="fwTrendingPlotConfPanel.png" alt="Panel screenshot" ></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpName</td>
      <td><p>Data point name of the Plot to edit.</p>
        <p>If creating a new plot, set this value to an empty string.<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$Command</td>
      <td><p>Mode in which the panel is to run. The keyword to pass should be
          one of the following:</p>
      <p>&quot;new&quot; - for creating a new plot data point. Pressing OK or
        Apply saves the new configuration to the given data point. The plot dp
        name
        field is editable.</p>
      <p>&quot;edit&quot; - for editing an existing plot data point. Pressing
        OK or Apply saves the new configuration to the given data point. The
        plot dp name
        field is not editable.</p>
      <p>&quot;onlineedit&quot; - used from the plot display panel to modify
        the configuration without modifying the data point. Pressing OK returns
        the new plot configuration
        to the panel from which it was opened.  The plot dp name
        field is not editable.</p>      
      <p>If this $-parameter is not defined, the panel runs in &quot;edit&quot; mode, unless
      $sDpName is blank in which case the mode is &quot;new&quot;.</p></td>
      <td>Optional<br>
      </td>
    </tr>
    <tr>
      <td>$dsShowButtons</td>
      <td><p>Controls which of the OK, Apply and Cancel buttons are shown at runtime.</p>
      <p>The keywords for the buttons are &quot;ok&quot;, &quot;apply&quot; and &quot;cancel&quot;. The value
        passed in the $-parameter should be a dyn_string containing a list of
        the buttons to show, e.g. makeDynString(&quot;ok&quot;,
        &quot;cancel&quot;).
        The keywords are
        case
        insensitive.</p>
      <p>If this
      $-parameter is not defined, all three buttons are shown.</p></td>
      <td><p>Optional</p>
      <p>(except when using addSymbol() - see below)</p></td>
    </tr>
  </tbody>
</table>
<p><strong>Note:</strong> The optional $-parameters mentioned above <strong>must</strong> be
  passed if you are displaying this panel with the addSymbol() function. If you
  do not
  pass
  all
  $-parameters when using addSymbol(), errors will be given in your porject log
  and the functionality of the panel may not be as expected.<br>
</p>
</body>
</html>
